package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.scopeproject.TProEditionScope;
import com.chenyang.nse.bussiness.entity.vo.datascope.EditionProjectVO;
import com.chenyang.nse.bussiness.entity.vo.datascope.SensitivelevelVO;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public interface SensitiveLevelService {
   void save(SensitivelevelVO scope);

   SensitivelevelVO editbyid(String id);

   void remove(String id);

   List<TProEditionScope> getDataScopeProjectList(String editionEn);

   void saveProject(EditionProjectVO project);

   EditionProjectVO editpeproject(String id);

   void removepeproject(String id);

   List<TProEditionScope> geteditionlist();

   List<SensitivelevelVO> getScopeTable(SensitivelevelVO vo);

   String getmaxdatetid(String editionid);

   Map<String, Object> getSensitiveInfo(String scopeid);

   void removeByEdition(String editionid);

   void saveExcelData(List<List<String>> list, String editionid, String user) throws Exception;

   List<TProEditionScope> geteditionlistds(String projectId);

   String checkName(String sensitivename, String editionid);

   boolean dataScopeIsExistsByName(String text, String editionid);

   char getMaxOpenLevel(String edition_id);

   void saveReorder(String moveNodeId, String toNodeId, String moveType);
}
